res_lib_cfg_get_node_addrs Struct Reference

The res_lib_cfg_get_node_addrs struct. More...

`#include <ipc_cfg.h>`

## Public Member Functions

struct qb_ipc_response_header header | __attribute__ ((aligned(8)))

## Data Fields

unsigned int | family
unsigned int | num_addrs
char | addrs []

## Detailed Description

The res_lib_cfg_get_node_addrs struct.

Definition at line 209 of file ipc_cfg.h.

## Member Function Documentation

## __attribute__()

struct qb_ipc_response_header header res_lib_cfg_get_node_addrs::__attribute__ | ( | (aligned(8)) |  | ) |

## Field Documentation

## addrs

char res_lib_cfg_get_node_addrs::addrs[]

Definition at line 214 of file ipc_cfg.h.

Referenced by corosync_cfg_get_node_addrs().

## family

unsigned int res_lib_cfg_get_node_addrs::family

Definition at line 211 of file ipc_cfg.h.

Referenced by corosync_cfg_get_node_addrs().

## num_addrs

unsigned int res_lib_cfg_get_node_addrs::num_addrs

Definition at line 212 of file ipc_cfg.h.

Referenced by corosync_cfg_get_node_addrs().

The documentation for this struct was generated from the following file:

- ipc_cfg.h